Publication Events

GET/api/2026-03/publicationEvents
public-api:read
Latest version (since 2026-01)

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
limit
integer

Number of events to return. Default: 100. Highest limit: 1000

reverse
boolean

Returns the events in reverse order, starting at the biggest id

contentTypes
string

Comma separated list of content types to use as filter

documentTypes
string

Comma separated list of document types to use as filter. Can be one of article, page, data-record

after
integer

Deprecated: Please use id.gte instead. Return matching events after this event id

id.gte
string

Filter by event id range.

Supported filters: id.gte, id.gt, id.lte, id.lt.

Example: To retrieve all events since you've fetched the last entry, use ?limit=1000&id.gt=40000"

createdAt.gte
string

Filter by event date range.

Supported filters: createdAt.gte, createdAt.gt, createdAt.lte, createdAt.lt.

Example: To retrieve all events since a specific timestamp, use ?limit=1000&createdAt.gte=2021-05-01T00:00:00.000Z"

Request Body

JSON Body

Sent as JSON in the request body.

ParameterTypeDescription
channelHandle
string

The handle of the channel for which you want to get the events

Description

This endpoint returns publication events (publish, unpublish, update) for a project.

Related

  • Webhooks

Use Cases

  • Reliably fetch documents publication state changes to sync with another system
  • Cache invalidation management

Responses

⌘ K to search